curl --request POST \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/workflows/{workflowName}/evaluate \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"organization": {
"externalReferences": [
{
"name": "CUSTOMER-REFERENCE",
"value": "CUST-00001342",
"description": "This is the customer ID in the core banking system.",
"type": "CUSTOMER",
"metadata": {}
}
]
},
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"executionVariables": {
"documentId": "92de15f6-5717-4562-b3fc-2c963f66def7",
"includeHistorical": true
}
}
'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/workflows/{workflowName}/evaluate"
payload = {
"organization": { "externalReferences": [
{
"name": "CUSTOMER-REFERENCE",
"value": "CUST-00001342",
"description": "This is the customer ID in the core banking system.",
"type": "CUSTOMER",
"metadata": {}
}
] },
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"executionVariables": {
"documentId": "92de15f6-5717-4562-b3fc-2c963f66def7",
"includeHistorical": True
}
}
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
api_key: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
organization: {
externalReferences: [
{
name: 'CUSTOMER-REFERENCE',
value: 'CUST-00001342',
description: 'This is the customer ID in the core banking system.',
type: 'CUSTOMER',
metadata: {}
}
]
},
comment: {
text: 'Update after speaking to customer over the phone directly.',
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
},
executionVariables: {documentId: '92de15f6-5717-4562-b3fc-2c963f66def7', includeHistorical: true}
})
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/serviceprofiles/{serviceName}/workflows/{workflowName}/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Evaluate a workflow for the given organization entityId using existing results
Re-evaluate a workflow for the given organization entityId and service profile using only the current set of results, without gathering any new data.
Authorizations
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.
0, 1 Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
Unique FrankieOne identifier for an entity
The unique name of the service profile
The unique name of the workflow
Body
The organization on which the workflow is run is updated with the details provided.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
A free-form map of key-value pairs passed to the workflow at execution time. Each key corresponds to a variable declared in the target workflow definition. The workflow engine validates types and applies defaults for missing variables. Use this to supply per-execution inputs (e.g. documentId, includeHistorical) without requiring per-field changes to the request schema.
{
"documentId": "92de15f6-5717-4562-b3fc-2c963f66def7",
"includeHistorical": true
}
Response
Evaluation request completed
Summary of the workflow execution.
Using and interpreting the status field
The result of the workflow is represented in the status field. Users can manually override this status with a different value to change the outcome of the workflow. When the status field is overridden, the statusOverrideRequestId field is populated with the request ID of the override request. If the statusOverrideRequestId field is present and non-empty, it indicates that the status has been manually changed.
- Initial State:
- When a workflow completes, its result is set in the status field.
- Status Override:
- Users may override the status field with a different value (e.g., change FAIL to PASS).
- Identifying Overrides:
- To determine if a status has been overridden, check for the presence of the statusOverrideRequestId field.
- If present, it indicates that the status has been manually changed.
- Additional Override Information:
- statusOverrideBy: Identifies the user who performed the override (may not always be present).
- statusOverrideAt: Timestamp of when the override occurred.
- Interpretation:
- If statusOverrideRequestId is empty or absent, no override has occurred.
- If statusOverrideRequestId is present, then a manual override has occurred.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Organization details at the current time. This could be different from the original organization details at the time of workflow execution.
Show child attributes
Show child attributes
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Was this page helpful?